templates:
- github
- cmake-catkin
- base

catalog:
  title: Simple Robot Gaze Tools Audio
  associated-institutes:
  - - Central Lab Facilities
    - https://cit-ec.de/en/central-lab-facilities

variables:
  description: Provides input for robot gazing based on sound source localization.
  keywords:
  - perception
  - toolbox
  - saliency
  - robotics
  recipe.maintainer:
  - flier@techfak.uni-bielefeld.de

  github.user: CentralLabFacilities
  github.project: simple_robot_gaze_tools

  repository: https://github.com/CentralLabFacilities/simple_robot_gaze_tools.git
  sub-directory: audio
  branches:
  - master

  platform-requires:
    ubuntu:
      packages:
      - ros-${ros}-people-msgs
      - ros-${ros}-rospy
      - ros-${ros}-ros-comm
      - ros-${ros}-people-msgs
      - libhighgui2.4
      - libcv2.4
      - libopencv-gpu2.4
      - libcvaux-dev
      - libcv-dev
      - libhighgui-dev
      - libopencv-gpu-dev

  cmake.options:
  - CMAKE_BUILD_TYPE=Release
  - '@{next-value|[]}'

versions:
- name: hash-csra-0.3
  variables:
    commit: f8e30adc870a0953c39edf777ec854a9cd27f3ec
